All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Interface PublicObjectInterface

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  AbstractPropertyInterface, AccessControlEntryInterface, AccessControlTemplateInterface, ActionInterface, AnalyticTableInterface, ApplicationInterface, ArchiveInterface, AssociationPropertyInterface, AttributePropertyInterface, AuthenticationDomainInterface, BaseOMRPromptInterface, BookmarkEntryInterface, ChannelInterface, ClassifierInterface, ColumnContainerInterface, ColumnHierarchyInterface, ColumnInterface, COMConnectionInterface, ConditionActionSetInterface, ConditionInterface, ConfigurationXMLTextStoreInterface, ConfiguredComponentInterface, ConnectionInterface, ConnectServerInterface, ConnectSpawnerInterface, ContentInterface, ContentSubscriberGroupInterface, ContentSubscriberInterface, CubeInterface, DatabaseCatalogInterface, DatabaseSchemaInterface, DataExplorationEntryInterface, DataStepBatchServerInterface, DataTableInterface, DataTableRoleInterface, DavBinaryPackageInterface, com.sas.services.information.metadata.DeployedDataPackageInterface, DirectiveInterface, DirectoryInterface, DocumentInterface, EmailInterface, EventInterface, EventSubscriberGroupInterface, EventSubscriberInterface, ExtensionInterface, ExternalIdentityInterface, ExternalTableInterface, FavoritesContainer, FavoritesFolder, FavoritesGroup, FileInterface, FilteredFolderInterface, FilteredRepositoryInterface, FolderInterface, ForeignKeyInterface, FtpServerInterface, GeneratedTransformInterface, GridApplicationInterface, GridMonitoringServerInterface, GridServerInterface, GroupInterface, HostInterface, HttpServerInterface, IdentityGroupInterface, IdentityInterface, IndexInterface, JavaBatchServerInterface, JobInterface, KeyAssociationInterface, LocationInterface, LogicalConnectServerInterface, LogicalDataStepBatchServerInteface, LogicalGridServerInterface, LogicalJavaBatchServerInterface, LogicalOSServerInterface, LogicalServerInterface, LoginInterface, MessageQueueInterface, MetadataInterface, MSMQQueueManagerInterface, MutableContainerInterface, MyDocumentsInterface, MyInboxInterface, MyResultsInterface, NoteInterface, OLAPSchemaInterface, OMRPromptGroupInterface, OperatingSystemServerInterface, OracleServerInterface, PackageEventInterface, PackageInterface, PersonalRepositoryInterface, PersonInterface, PhoneNumberInterface, PhysicalTableInterface, ProfileReportInterface, PropertyGroupInterface, PropertyInterface, PropertySetInterface, PrototypeInterface, PrototypePropertyInterface, ProxyInterface, ProxyListInterface, PublicObjectContainerInterface, PublishDirectoryInterface, QueryClauseInterface, QueueManagerInterface, RelationalKeyInterface, RelationalSchemaInterface, RelationalTableInterface, RemarksInterface, RoleInterface, RootFolderInterface, SASClientConnectionInterface, SasInProcessServerInterface, SASLibraryInterface, SearchFolder, ServerComponentInterface, ServerContextInterface, ServerInterface, ServiceTypeInterface, SharedDimensionInterface, ShareServerInterface, SoftwareComponentInterface, SPDSServerInterface, StoredProcessAlertItemInterface, StoredProcessInterface, SubscriberInterface, TableServerInterface, TCPIPConnectionInterface, TextStoreInterface, TransformationInterface, VirtualFolderInterface, WebsphereQueueManagerInterface

All Known Implementing Classes:
  AllUsersIdentity, Application, AuthenticatedIdentity, Content, DAVAccessControlEntry, DavBinaryPackage, DavEvent, DavPerson, FilteredFolder, FilteredRepository, Folder, Metadata, MyDocuments, MyInbox, MyResults, com.sas.services.information.metadata.OMRConnection, OMRDatabaseServer, OMRGridApplication, OMRHadoopServer, OMRHost, OMRPostgresServer, OMRPromptDefinition, OMRPromptGroup, OMRProxy, OMRProxyList, OMRSAPServer, com.sas.services.information.metadata.OMRServer, com.sas.services.information.metadata.OMRServerComponent, com.sas.services.information.metadata.OMRSoftwareComponent, OMRSPDSServer, com.sas.services.information.metadata.OMRTCPIPConnection, OMRTransformation, PersonalRepository, PropertyIdentity, ReferenceIdentity, Remarks, RepositoryMetadata, SelfIdentity, ServerVirtualFolder, StoredProcessAlertItem, UnauthenticatedIdentity, VirtualFolder, VirtualMetadata

    public interface PublicObjectInterface

extends java.rmi.Remote

This object defines a Public Object. It is used when you want an object to participate in the Public Object Framework.

Method Summary
`void` | `addProcessorInterface(java.lang.String interfaceClassName, com.sas.services.information.publicobject.ProcessorInterface actionInterface)` Add an action interface to this class.
`PublicObjectContainerInterface` | `getContainer()` Get the object which contains this object.
`java.lang.String` | `getIdentifier()` Get the unique ID of this object.
`java.lang.String` | `getName()` Get the name of this object.
`java.net.URI` | `getObjectURI()` This method is currently not being implemented and is reserved for future use.
`PathUrl` | `getPathUrl()` Get the SBIP URL.
`com.sas.services.information.publicobject.ProcessorInterface` | `getProcessorInterface(java.lang.String interfaceClassName)` Get the specified action interface.
`TypeDescriptorInterface` | `getTypeDescriptor()` Get the type descriptor which should have the information from the Type Dictionary in metadata available for the clients.

Method Detail

### addProcessorInterface

    void addProcessorInterface(java.lang.String interfaceClassName,
                               com.sas.services.information.publicobject.ProcessorInterface actionInterface)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Add an action interface to this class.

  Parameters:
    `interfaceClassName` -
    `actionInterface` -
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getProcessorInterface

    com.sas.services.information.publicobject.ProcessorInterface getProcessorInterface(java.lang.String interfaceClassName)
                                                                                       throws ServiceException,
                                                                                              java.rmi.RemoteException

  Get the specified action interface.

  Parameters:
    `interfaceClassName` -
  Returns:
    ProcessorInterface
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getObjectURI

    java.net.URI getObjectURI()
                              throws ServiceException,
                                     java.rmi.RemoteException

  This method is currently not being implemented and is reserved for future use.

  Get the location of this object in the SAS Tree. This should be of the form sasds://xxx/xxx/xxx/

  Returns:
    java.net.URI
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getTypeDescriptor

    TypeDescriptorInterface getTypeDescriptor()
                                              throws ServiceException,
                                                     java.rmi.RemoteException

  Get the type descriptor which should have the information from the Type Dictionary in metadata available for the clients.

  Returns:
    TypeDescriptorInterface
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Get the name of this object.

  Returns:
    String
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getContainer

    PublicObjectContainerInterface getContainer()
                                                throws ServiceException,
                                                       java.rmi.RemoteException

  Get the object which contains this object.

  Returns:
    PublicObjectContainerInterface
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getIdentifier

    java.lang.String getIdentifier()
                                   throws ServiceException,
                                          java.rmi.RemoteException

  Get the unique ID of this object.

  Returns:
    String
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getPathUrl

    PathUrl getPathUrl()
                       throws java.lang.IllegalStateException,
                              ServiceException,
                              java.rmi.RemoteException

  Get the SBIP URL. This is an object that contains the repository name, the path from a root to the object, the object's name and the object's type. In the SAS Metadata Server, an object is in a rooted Tree if it has a path to a Tree that's associated to a SoftwareComponent with a ClassIdentifier of "E5F27790-2149-11D6-8828-AA0004006D06", and a name of "BIP Service".

  Returns:
    a `PathUrl` value with the object's location in a rooted tree. If the object isn't in a rooted tree, null is returned.
  Throws:
    `ServiceException` - if a repository error occurs.
    `java.rmi.RemoteException` - if a remote object error occurs.
    `java.lang.IllegalStateException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.